.stiky {
  filter: drop-shadow(0px 0px 20px $color_black_t8);
  transition: ease all 500ms;
}

header {
  width: 100%;
  position: fixed;
  z-index: 99999;
  height: 100px;
  background: $color_secundary;

  .menu-elements {
    width: 100%;
    z-index: 999;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    flex-direction: column;

    .c-main-logo {
      width: 150px;
      height: 72px;
      padding: 15px 0px;
      background: url('assets/images/global/logo-50-anios-white.svg');
      background-position: center;
      background-repeat: no-repeat;
      background-size: contain;

      a{
        height: 72px;
        width: 150px;
        position: absolute;
      }
    }

    .c-menu-icon {
      width: 40px;
      cursor: pointer;
      -webkit-transform: translate3d(0, 0, 0);
      transform: translate3d(0, 0, 0);
      -webkit-transition: -webkit-transform 0.25s
        cubic-bezier(0.05, 1.04, 0.72, 0.98);
      transition: transform 0.25s cubic-bezier(0.05, 1.04, 0.72, 0.98);
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      position: absolute;
      left: 20px;

      ._layer {
        background: $color_white;
        margin-bottom: 5px;
        border-radius: 2px;
        height: 4px;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
        -webkit-transition: all 0.25s cubic-bezier(0.05, 1.04, 0.72, 0.98);
        transition: all 0.25s cubic-bezier(0.05, 1.04, 0.72, 0.98);
      }

      &:hover .-top {
        -webkit-transform: translateY(-100%);
        -ms-transform: translateY(-100%);
        transform: translateY(-100%);
      }

      &:hover .-bottom {
        -webkit-transform: translateY(100%);
        -ms-transform: translateY(100%);
        transform: translateY(100%);
      }

      &.is-active .-top {
        -webkit-transform: translateY(200%) rotate(45deg) !important;
        -ms-transform: translateY(200%) rotate(45deg) !important;
        transform: translateY(200%) rotate(45deg) !important;
      }

      &.is-active .-mid {
        opacity: 0;
      }

      &.is-active .-bottom {
        -webkit-transform: translateY(-200%) rotate(135deg) !important;
        -ms-transform: translateY(-200%) rotate(135deg) !important;
        transform: translateY(-200%) rotate(135deg) !important;
      }
    }
  }

  .menuppal {
    width: 100%;
    transform: translate3d(-100%, 130%, 0px);
    transition: transform 0.35s cubic-bezier(0.05, 1.04, 0.72, 0.98) 0s;

    &.is_active {
      transform: translate3d(0px, 157px, 0px);
    }

    .menu-header-menu-container {
      ul {
        li {
          a {
            border-top: solid 1px $color_white;
            text-indent: 15px;
            color: $color_white;
            font-weight: 700;
            text-decoration: none;
            width: 100%;
            height: 40px;
            display: flex;
            align-items: center;
            font-weight: 400;
          }
        }
      }
    }
  }
  .submenu-option {
    .sub-menu {
      overflow: hidden;
      height: 0;

      a {
        padding: 0px 0px 0px 20px;
      }
    }

    .show-submenu {
      height: 200px;
      transition: ease-out all 500ms;
    }
  }
  .c-search-field{
    background: $color_secundary;
    width: 100%;
    text-align: center;
    padding: 0px 0px 10px 0px;
    position: absolute;
    top: 100px;


    i {
      color: $color_white;
    }

    .mdl-textfield {
      width: 55%;
      padding: 10px 0px;
      color: $color_white;

      .mdl-textfield__input {
        border-bottom: solid 1px $color_white;
      }
    }
    .mdl-textfield__label:after{
      bottom: 10px;
      background-color: $color_white;
    }

    .search-submit{
      background: none;
      border: solid 1px $color_white;
      padding: 5px 10px;
      margin: 0px 0px 0px 20px;
      color: $color_white;
      border-radius: 3px;
    }
  }
}

@media only screen and (min-width: 1024px) {
  header {
    display: flex;
    align-items: center;
    height: 90px;

    .menu-elements {
      width: 200px;
      position: relative;

      .c-main-logo {
        width: 150px;
        padding: 0px;
      }
      .c-menu-icon {
        display: none;
      }
    }

    .menuppal {
      width: 70%;
      position: initial;
      transform: none;

      ul {
        display: flex;
        list-style: none;
        justify-content: flex-end;
        position: relative;

        li {
          width: fit-content;
          text-indent: 0px;

          &::before {
            margin-left: 5px;
          }

          a {
            padding: 0px 10px;
            border: none !important;
            text-indent: 0px !important;
            justify-content: center;
            transition: all ease-in 300ms;
            
            &:hover {
              color: $color_fifth;
            }
          }
        }
      }

      .submenu-option {
        position: relative;

        .sub-menu {
          display: flex;
          position: absolute;
          height: initial;
          width: max-content;
          left: -200px;
          overflow: hidden;
          height: 0px;
          transition: ease-out all 300ms;

          a {
            background: $color_secundary;
            padding: 0px 10px 0px 10px;

            &:hover {
              color: $color_third;
            }
          }
        }
        &:hover {
          .sub-menu {
            transition: ease-out all 300ms;
            overflow: visible;
            height: 30px;
          }
        }
      }
    }
    .c-search-field {
      position: initial;
      width: 30%;
    }
  }
}
